Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 827654 - www-apache/mod_evasive: last rites
Summary: www-apache/mod_evasive: last rites
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2021-12-27
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-11-27 21:15 UTC by Marek Szuba
Modified: 2021-12-26 17:52 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Szuba (RETIRED) archtester gentoo-dev 2021-11-27 21:15:53 UTC
No upstream activity since October 2005, release tarballs not available any more. Unmaintained in Gentoo, EAPI 5.
Removal in 30 days.
Comment 1 Alexandros C. Couloumbis 2021-12-07 19:15:49 UTC
I believe this is an up-to-date fork of it: https://github.com/mytutorcode/mod_evasive/commits/master
Comment 2 Marek Szuba (RETIRED) archtester gentoo-dev 2021-12-09 12:21:44 UTC
Unfortunately this does not change the fact that the mod_evasive is currently unmaintained. Between the chain of forks (with varying levels of activity) this package has gone through and the fact most, if not all, distros appear to continue to package the original jzdziarski version, I do not think it makes sense to maintain mod_evasive in Gentoo unless someone starts maintaining it.
Comment 3 Alexandros C. Couloumbis 2021-12-10 04:56:32 UTC
IHHO

If you search the netland about mod_evasive, I believe you may find that it offers some unique features that may not be replaced by other similar packages. This along with the fact that there is no security issue, the package still compiles and for sure there is some userbase enjoying the unique features it offers, I feel Gentoo is becoming poorer by removing it, especially when other distros as mentioned still offer it.

that been said, there is always this: https://dev.to/pichardoj/if-it-works--dont-thouch-it-4ij7
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-12-10 05:52:27 UTC
(In reply to Alexandros C. Couloumbis from comment #3)
> IHHO
> 
> If you search the netland about mod_evasive, I believe you may find that it
> offers some unique features that may not be replaced by other similar
> packages. This along with the fact that there is no security issue, the
> package still compiles and for sure there is some userbase enjoying the
> unique features it offers, I feel Gentoo is becoming poorer by removing it,
> especially when other distros as mentioned still offer it.
> 
> that been said, there is always this:
> https://dev.to/pichardoj/if-it-works--dont-thouch-it-4ij7

Could you maintain it in Gentoo then? I'm happy to help you with the process. It's pretty easy to proxy-maintain stuff nowadays.
Comment 5 Alexandros C. Couloumbis 2021-12-11 09:53:03 UTC
(In reply to Sam James from comment #4)
>
> Could you maintain it in Gentoo then? I'm happy to help you with the
> process. It's pretty easy to proxy-maintain stuff nowadays.

thank you for the honor Sam.

I would be happy to do so.

regards, Alexandros
Comment 6 Larry the Git Cow gentoo-dev 2021-12-26 17:52:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8efcb67ef0b9e831af5b0d3d4dca73699133a1f

commit a8efcb67ef0b9e831af5b0d3d4dca73699133a1f
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-12-26 17:50:17 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-12-26 17:50:17 +0000

    www-apache/mod_evasive: treeclean
    
    Closes: https://bugs.gentoo.org/827654
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 profiles/package.mask                              |  6 ----
 www-apache/mod_evasive/Manifest                    |  1 -
 www-apache/mod_evasive/files/10_mod_evasive.conf   | 31 ------------------
 www-apache/mod_evasive/metadata.xml                |  5 ---
 .../mod_evasive/mod_evasive-1.10.1-r1.ebuild       | 37 ----------------------
 5 files changed, 80 deletions(-)